# DaprAppCallbackProtos.BindingEventRequestOrBuilder (dapr-sdk-parent 1.14.1 API)
declaration: package: io.dapr.v1, class: DaprAppCallbackProtos, interface: BindingEventRequestOrBuilder

Package io.dapr.v1

# Interface DaprAppCallbackProtos.BindingEventRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprAppCallbackProtos.BindingEventRequest`, `DaprAppCallbackProtos.BindingEventRequest.Builder`

Enclosing class:
  DaprAppCallbackProtos

public static interface DaprAppCallbackProtos.BindingEventRequestOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The metadata set by the input binging components.
`com.google.protobuf.ByteString`
`getData()`
Required.
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata set by the input binging components.
`Map<String,String>`
`getMetadataMap()`
The metadata set by the input binging components.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata set by the input binging components.
`String`
`getMetadataOrThrow(String key)`
The metadata set by the input binging components.
`String`
`getName()`
Required.
`com.google.protobuf.ByteString`
`getNameBytes()`
Required.

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getName

String getName()

     Required. The name of the input binding component.

`string name = 1;`

Returns:
  The name.

### getNameBytes

com.google.protobuf.ByteString getNameBytes()

     Required. The name of the input binding component.

`string name = 1;`

Returns:
  The bytes for name.

### getData

com.google.protobuf.ByteString getData()

     Required. The payload that the input bindings sent

`bytes data = 2;`

Returns:
  The data.

### getMetadataCount

int getMetadataCount()

     The metadata set by the input binging components.

`map<string, string> metadata = 3;`

### containsMetadata

boolean containsMetadata(String key)

     The metadata set by the input binging components.

`map<string, string> metadata = 3;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The metadata set by the input binging components.

`map<string, string> metadata = 3;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The metadata set by the input binging components.

`map<string, string> metadata = 3;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The metadata set by the input binging components.

`map<string, string> metadata = 3;`